{% extends 'main.html' %}

{% load static %}

{% block content %}

<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box">
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                    <li class="breadcrumb-item active">Form Validation</li>
                </ol>
            </div>
            <h4 class="page-title">Project creation</h4>
        </div>
    </div>
</div>
<!-- end page title -->

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="tab-content">
                    <div class="row">
                        <div class="col-lg-6">

                            <!-- Form Start -->
                            <form action="" method="post" class="">
                                {% csrf_token %}
                                <div class="mb-3">
                                    <label class="form-label" for="{{ form.name.id_for_label }}">Project Name</label>
                                    {{ form.name }}
                                    <div class="valid-feedback">
                                        Looks good!
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.description.id_for_label }}">Description</label>
                                    {{ form.description }}
                                    <div class="valid-feedback">
                                        Looks good!
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.start_date.id_for_label }}">Start Date</label>
                                    <input type="date" class="form-control" id="{{ form.start_date.id_for_label }}" name="{{ form.start_date.html_name }}" value="{{ form.start_date.value }}">
                                    <div class="invalid-feedback">
                                        Please provide a valid state.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.due_date.id_for_label }}">Due Date</label>
                                    <input type="date" class="form-control" id="{{ form.due_date.id_for_label }}" name="{{ form.due_date.html_name }}" value="{{ form.due_date.value }}">
                                    <div class="invalid-feedback">
                                        Please provide a valid zip.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.owner.id_for_label }}">Project Owner</label>
                                    {{ form.owner }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.collaborators.id_for_label }}">Collaborators</label>
                                    {{ form.collaborators }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.status.id_for_label }}">Status</label>
                                    {{ form.status }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <button class="btn btn-primary mt-2" type="submit">Submit form</button>
                            </form>
                        </div> <!-- end col-lg-6-->
                            <!-- Form End -->
                    </div>
                </div> <!-- end tab-content-->
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col-->
</div>
<!-- end row -->


<!-- bundle -->
<script src="{% static 'js/vendor.min.js' %}"></script>
<script src="{% static 'js/app.min.js' %}"></script>


{% endblock %}
